=== kioslave/CMakeLists.txt ===
add_subdirectory(applications)
add_subdirectory(desktop)
add_subdirectory(remote)
