=== debian/changelog ===
plasma-workspace (4:5.5.5.2-0ubuntu1) xenial; urgency=medium

  [ Philip Muškovac ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * Another new upstream bugfix release

  [ Michael Marley ]
  * Cherrypicked fix ( plasma_applet_actions_crash.diff ) for
    https://bugs.kde.org/show_bug.cgi?id=351777 which is a fix
    upstream for Plasma 5.6.

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 13:57:37 -0700

plasma-workspace (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial. 
  * Upstream version bumped by 1. 
  * Version number is coming up None. Trying a different approach 
    with appending a. 
  * Silly me, lost the ubuntu in the version. Final fix I hope.
  * Merge xenial_archive manual.

  [ Clive Johnston ]
  * new upstream release
  * Removing a file from plasma-workspace.install which is no longer built
  * Adding missing file usr/share/wayland-sessions/plasmawayland.desktop
    into plasma-workspace-wayland.install
  * New upstream release

  [ Philip Muškovac ]
  * Merge with debian git master 

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:29:05 +0100

plasma-workspace (4:5.4.3-2) UNRELEASED; urgency=medium

  [ Dmitry Shachnev ]
  * Stop depending on qtdeclarative5-* transitional packages.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 12 Jan 2016 16:57:56 +0300

plasma-workspace (4:5.4.3-1) unstable; urgency=medium

  * Really add the Provides: notification-daemon. (Closes: #798377)
  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:46:11 +0100

plasma-workspace (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:47:50 +0100

plasma-workspace (4:5.4.2-1) unstable; urgency=medium

  * Add missing provides notification-daemon. (Closes: #798377) Thanks
    to Zhang Jingqiang.
  * New upstream release (5.4.2).
  * Drop upstream applied patch: plasmoid_creation_fix_null_check.patch

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:52:31 +0200

plasma-workspace (4:5.4.2-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:56 +0100

plasma-workspace (4:5.4.1-1) unstable; urgency=medium

  * Move auto test to autopkgtests.
  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Sep 2015 13:11:09 +0200

plasma-workspace (4:5.4.0-2) experimental; urgency=medium

  * Force building against the experimental version of baloo.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 Sep 2015 19:33:36 +0200

plasma-workspace (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).
  * Refresh patches.
  * Remove upstream applied patches.
  * Add Recomends to libpam-kwallet5.
  * Update install files.
  * New patch: disable_incompatible_tests

 -- Maximiliano Curia <maxy@debian.org>  Fri, 04 Sep 2015 13:17:29 +0200

plasma-workspace (4:5.3.2-4) unstable; urgency=high

  * Team upload.

  [ Felix Geyer ]
  * Make plasma-workspace break kde-window-manager (<= 4:5) instead
    of conflicting with it.
    kde-window-manager is a transitional package now.

  [ Jeremy Lainé ]
  * Apply patch from Michael Musenbrock to avoid null pointer dereferencing in
    PlasmoidTask constructor (Closes: #792875).
  * Apply upstream patch to avoid crash on shutdown (Closes: #793513).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sun, 26 Jul 2015 15:22:06 +0200

plasma-workspace (4:5.3.2-3) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Add Breaks to kde4 version of plasma-desktop. (Closes: #792666) Thanks to
    Reuben

  [ Felix Geyer ]
  * Fix FTBFS on mips(el).
    - Add check_signals_defined.diff
  * Add breaks to old kdeartwork packages.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 19 Jul 2015 17:26:14 +0200

plasma-workspace (4:5.3.2-2) unstable; urgency=medium

  * Team upload.
  * Add kio to plasma-workspace depends (Closes: #792289)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 17 Jul 2015 23:18:50 -0400

plasma-workspace (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).
  * New upstream release (5.3.2).
  * Add the missing Breaks/Replaces.
  * Refresh patch.
  * New upstream patch: plasma-workspace-upstream-
    replace_reference_to_license_with_the_bsd_license
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 08 Jul 2015 10:32:46 +0200
